3

I'm getting the following errors when I use the Channel Videos module: A PHP Error was encountered Severity: Warning

Message: Declaration of Video_Service_youtube::search($search) should be compatible with Video_Service::search()

Filename: youtube/youtube.php

Line Number: 219

A PHP Error was encountered Severity: Warning

Message: Declaration of Video_Service_vimeo::search($search) should be compatible with Video_Service::search()

Filename: vimeo/vimeo.php

Line Number: 244

I'm using this tutorial (http://www.train-ee.com/courseware/free-tutorials/comments/09-implementing-the-blog-part-1) to create the site and all I've done is copy and paste the text files. I'm using EE 2.11.3 if that matters, and the site is hosted locally on my Mac using MAMP.

  • I'm having the same issue after upgrading to EE3 3.5.10. – LucasCranac Jul 25 '17 at 11:07
1

A fix for this will be in the next release of Channel Videos for EE3/EE4, but until that comes out you can fix it by opening services/video_service.php, finding this on line 29:

public function search()

And changing it to this:

public function search($search = array())
| improve this answer | |
  • Hey Matt, added this fix to the EE2 version but doesn't seem to remove the error. Just appends $search = Array in the error message – lealea Apr 30 '18 at 22:58
  • Not sure if this really fixed things but I had to change youtube.php and vimeo.php to also reference $search = array() to remove the error. – lealea Apr 30 '18 at 23:10

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.